Subject: [Gen-art] Gen-ART telechat review of draft-ietf-teas-rsvp-te-domain-subobjects-03

From: Brian E Carpenter <[email-masked]>
Date: Fri, 13 Nov 2015 16:42:10 +1300

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair. Please wait for direction from your
document shepherd or AD before posting a new version of the draft.

For more information, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Document: draft-ietf-teas-rsvp-te-domain-subobjects-03.txt
Reviewer: Brian Carpenter
Review Date: 2015-11-13
IETF LC End Date: 2015-11-09
IESG Telechat date: 2015-11-19

Summary: Ready with issues
--------

Comment:
--------

I haven't seen a response to my Last Call review, so this is the same.

Needs to be approved along with draft-ietf-pce-pcep-domain-sequence.

Major Issues:
-------------

> 3.2.1.  Autonomous system
>
>   [RFC3209] already defines 2-Byte AS number.
>
>   To support 4-Byte AS numbers as per [RFC6793], the following
>   subobject is defined:
>
>      0                   1                   2                   3
>      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>     |L|    Type     |     Length    |         Reserved              |
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>     |                          AS-ID (4 bytes)                      |
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

I don't understand why that is considered Experimental. It seems like
a major defect in RFC 3209 that needs to be fixed on the standards
track as soon as possible, independently of the present draft.

Minor Issues:
-------------

It would be nice to see a suggested timescale for the experiment in section 1.1.
How many years before this document should be evaluated?

---

From: Dhruv Dhody <[email-masked]>
Date: Fri, 13 Nov 2015 10:18:14 +0530

​
Hi Brian,

Thanks for your review and sorry for the delay in the reply [ Diwali
festivities in these neck of woods :) ]
Please see inline...

On Fri, Nov 13, 2015 at 9:12 AM, Brian E Carpenter <
[email-masked]> wrote:

> Reviewer:
> ​​
> Brian Carpenter

​​[Dhruv]: Agreed​

> track as soon as possible, independently of the present draft.

​
[Dhruv]: This was suggested in the TEAS mailing list and it was decided
that WG can revisit if/when usage warrants​ ​to move this to standards
track.
https://mailarchive.ietf.org/arch/msg/teas/TV3X9BVc9mGW4lXWr-C0-sziCQE

There were no objections to this approach.

> Minor Issues:
[Dhruv]:​ ​We can add -

The experiment will end two years after the RFC is published.
At that point, the RFC authors will attempt to determine how
widely this has been implemented and​ deployed.

Thanks for your reviews!

Regards,
Dhruv

---

From: Vishnu Pavan Beeram <[email-masked]>
Date: Fri, 13 Nov 2015 05:25:23 +0000

Brian, Hi!

Please see inline (prefixed [VPB])

Regards,
-Pavan (as the Document Shepherd)

From: <[email-masked]<mailto:[email-masked]>> on behalf of Dhruv Dhody <[email-masked]<mailto:[email-masked]>>
Date: Thursday, November 12, 2015 at 11:48 PM
To: Brian E Carpenter <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, General Area Review Team <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: Gen-ART telechat review of draft-ietf-teas-rsvp-te-domain-subobjects-03

​
Hi Brian,

Thanks for your review and sorry for the delay in the reply [ Diwali festivities in these neck of woods :) ]
Please see inline...

On Fri, Nov 13, 2015 at 9:12 AM, Brian E Carpenter <[email-masked]<mailto:[email-masked]>> wrote:

Comment:
--------

​​[Dhruv]: Agreed​

Major Issues:
-------------

​
[Dhruv]: This was suggested in the TEAS mailing list and it was decided that WG can revisit if/when usage warrants​ ​to move this to standards track.
https://mailarchive.ietf.org/arch/msg/teas/TV3X9BVc9mGW4lXWr-C0-sziCQE

[VPB] As Dhruv pointed out, the WG did consider (link above) having the AS-ID specific extension discussed under standards track. But there wasn’t any interest shown by the WG for doing it at this point. This lack of interest could be perceived as an indication that there are currently no RSVP-TE deployments that use an AS-ID in the ERO. The decision by the WG was to revisit this discussion-point if/when there is some interest from the community to use the AS-ID in the ERO.

Minor Issues:
-------------

[Dhruv]:​ ​We can add -

Thanks for your reviews!

Regards,
Dhruv

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 13 Nov 2015 18:46:53 +1300

Hi,
> Thanks for your review and sorry for the delay in the reply [ Diwali festivities in these neck of woods :) ]

Ah, finally a valid excuse :-). Actually the public Diwali celebration in Auckland, where I
live, was a couple of weeks ago so I didn't think of this.

> [VPB] As Dhruv pointed out, the WG did consider (link above) having the AS-ID specific extension discussed under standards track. But there wasn’t any interest shown by the WG for doing it at this…

OK, that is a good explanation. So let's leave that in the hands of the IESG.

> Minor Issues:

That would be fine, in my opinion.

Thanks
    Brian

---

From: Dhruv Dhody <[email-masked]>
Date: Fri, 13 Nov 2015 11:21:30 +0530

Thanks Brian!
Thanks Pavan!

Happy Diwali :)

On Fri, Nov 13, 2015 at 11:16 AM, Brian E Carpenter <
[email-masked]> wrote:

> > Subject: Re: Gen-ART telechat review of
> draft-ietf-teas-rsvp-te-domain-subobjects-03
> >
> > ​
> > Hi Brian,
> >
> [email-masked]<mailto:[email-masked]>> wrote:
> > [VPB] As Dhruv pointed out, the WG did consider (link above) having the
> AS-ID specific extension discussed under standards track. But there wasn’t
> any interest shown by the WG for doing it at this point. This lack of
> interest could be perceived as an indication that there are currently no
> RSVP-TE deployments that use an AS-ID in the ERO. The decision by the WG
> was to revisit this discussion-point if/when there is some interest from
> the community to use the AS-ID in the ERO.
>

---

From: Jari Arkko <[email-masked]>
Date: Thu, 19 Nov 2015 13:16:09 +0200

I think the explanation sounds reasonable too. Thanks. And many thanks to Brian for the review, and spotting important issues.

Jari

On 13 Nov 2015, at 07:51, Dhruv Dhody <[email-masked]> wrote:

> Thanks Brian!
> Thanks Pavan!
> 
> Happy Diwali :)
> 
> 
> 
> On Fri, Nov 13, 2015 at 11:16 AM, Brian E Carpenter <[email-masked]> wrote:
> Hi,
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art